### Constructor

# Soup AuthDomainDigest new

#### Declaration [src]

    SoupAuthDomain*
    soup_auth_domain_digest_new (
      const char* optname1,
      ...
    )

#### Description [src]

Creates a `SoupAuthDomainDigest`.

You must set the `SoupAuthDomain:realm` property, to indicate the realm name to be returned with the authentication challenge to the client. Other parameters are optional.

This constructor is not directly available to language bindings.

#### Parameters

`optname1`

  Type: `const char*`

  Name of first option, or `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Option name/value pairs.

#### Return value

Type: `SoupAuthDomain`

The new `SoupAuthDomain`.

The caller of the function takes ownership of the data, and is responsible for freeing it.